gunnar: server Makefile,1.52,1.53 cvs-kolab.sh,1.22,1.23

cvs at kolab.org cvs at kolab.org
Fri Aug 15 12:09:43 CEST 2008


Author: gunnar

Update of /kolabrepository/server
In directory doto:/tmp/cvs-serv22131

Modified Files:
	Makefile cvs-kolab.sh 
Log Message:
Remove the horde package generation as this has been broken by the upstream removal of the release candidate packages. Package generation of kolab-webclient will be added as a replacement soon.

Index: Makefile
===================================================================
RCS file: /kolabrepository/server/Makefile,v
retrieving revision 1.52
retrieving revision 1.53
diff -u -d -r1.52 -r1.53
--- Makefile	15 May 2008 05:48:42 -0000	1.52
+++ Makefile	15 Aug 2008 10:09:40 -0000	1.53
@@ -57,19 +57,6 @@
                pear/PEAR-Net_SMTP       \
                pear/PEAR-Net_LMTP       \
                pear/PEAR-HTTP_Request   \
-               horde/php-channel-horde  \
-               horde/fbview-horde       \
-               horde/fbview-kronolith   \
-               horde/horde-framework    \
-               horde/horde-passwd       \
-               horde/horde              \
-               horde/horde-ingo         \
-               horde/horde-imp          \
-               horde/horde-kronolith    \
-               horde/horde-mnemo        \
-               horde/horde-nag          \
-               horde/horde-turba        \
-               horde/horde-kolab-client
 
 BASE_FILES=install-kolab.sh \
            README.1st

Index: cvs-kolab.sh
===================================================================
RCS file: /kolabrepository/server/cvs-kolab.sh,v
retrieving revision 1.22
retrieving revision 1.23
diff -u -d -r1.22 -r1.23
--- cvs-kolab.sh	11 Aug 2008 08:47:48 -0000	1.22
+++ cvs-kolab.sh	15 Aug 2008 10:09:40 -0000	1.23
@@ -96,32 +96,34 @@
 	cvs -q update -P -d
     fi
     chown -R "${KOLAB_DEV_USER}:" "/${KOLAB_DEV_USER}/CVS"
-    su - "${KOLAB_DEV_USER}" -c "cd `pwd` && make" || die "Not installing! Looks like the Kolab developers broke CVS. Bug them at https://www.intevation.de/roundup/kolab"
+#    su - "${KOLAB_DEV_USER}" -c "cd `pwd` && make" || die "Not installing! Looks like the Kolab developers broke CVS. Bug them at https://www.intevation.de/roundup/kolab"
+
     cd "${KOLAB_PACKAGES}/source-original"
 
-    if [ ! -e "${KOLAB_PACKAGES}/binary-${KOLAB_DEV_USER}" ]; then
-	./install-kolab.sh -D -t "${KOLAB_DEV_USER}"
-	mv "/${KOLAB_DEV_USER}/RPM/BDIST/" "${KOLAB_PACKAGES}/binary-${KOLAB_DEV_USER}"
+    SDIST_DIR="${KOLAB_PACKAGES}/source-${KOLAB_DEV_USER}"
+    if [ ! -e ${SDIST_DIR} ]; then
+	mkdir "${SDIST_DIR}"
     fi
 
-    ./install-kolab.sh -S -t "${KOLAB_DEV_USER}"
-    if [ ! -e "${KOLAB_PACKAGES}/source-${KOLAB_DEV_USER}" ]; then
-	mv "/${KOLAB_DEV_USER}/RPM/SDIST/" "${KOLAB_PACKAGES}/source-${KOLAB_DEV_USER}"
-    else
-	rsync -avz "/${KOLAB_DEV_USER}/RPM/SDIST/" "${KOLAB_PACKAGES}/source-${KOLAB_DEV_USER}/"
+    INSTALLER=`find . -name "openpkg-*.src.sh" -print`
+    if [ -z "$INSTALLER" ]; then  
+        echo "No source based installer found. Unable to create a source distribution!"  
+        exit 1  
     fi
+    cp "${INSTALLER}" "${SDIST_DIR}/"
+    rsync -avz *.src.rpm "${SDIST_DIR}/"
+    cp "/${KOLAB_DEV_USER}/CVS/server/install-kolab.sh" "${SDIST_DIR}/"
 
-    cd "${KOLAB_PACKAGES}/source-${KOLAB_DEV_USER}"
+    rsync -avz /"${KOLAB_DEV_USER}"/RPM/PKG/*.src.rpm "${SDIST_DIR}/"
 
+    cd "${SDIST_DIR}"
+
+    echo "Regenerating package index ..."
+    /"${KOLAB_DEV_USER}"/bin/openpkg index -r . -o 00INDEX.rdf -i . || die "Indexing failed! Looks like the Kolab developers broke CVS. Bug them at https://www.intevation.de/roundup/kolab"
+    
     echo "Installing the test environment in /${KOLAB_INSTALL_USER}. This will take a long time ..."
 
     ./install-kolab.sh -t "${KOLAB_INSTALL_USER}" -I 22414 ${INSTALL_OPTS} > kolab-build.log 2>&1
-    ./install-kolab.sh -t "${KOLAB_INSTALL_USER}" -D
-    if [ ! -e "${KOLAB_PACKAGES}/binary-${KOLAB_INSTALL_USER}" ]; then
-	mv "/${KOLAB_INSTALL_USER}/RPM/BDIST/" "${KOLAB_PACKAGES}/binary-${KOLAB_INSTALL_USER}"
-    else
-	rsync -avz "/${KOLAB_INSTALL_USER}/RPM/BDIST/" "${KOLAB_PACKAGES}/binary-${KOLAB_INSTALL_USER}/"
-    fi
 
     echo "Everything finished!"
     echo "You should now run:"
@@ -139,15 +141,18 @@
     cvs -q update -P -d
     chown -R "${KOLAB_DEV_USER}:" "/${KOLAB_DEV_USER}/CVS"
     su - "${KOLAB_DEV_USER}" -c "cd `pwd` && make" || die "Not updating! Looks like the Kolab developers broke CVS. Bug them at https://www.intevation.de/roundup/kolab"
-    cd "${KOLAB_PACKAGES}/source-original"
-    ./install-kolab.sh -S -t "${KOLAB_DEV_USER}"
-    rsync -avz "/${KOLAB_DEV_USER}/RPM/SDIST/" "${KOLAB_PACKAGES}/source-${KOLAB_DEV_USER}/"
-    ./install-kolab.sh -D -t "${KOLAB_DEV_USER}"
-    rsync -avz "/${KOLAB_DEV_USER}/RPM/BDIST/" "${KOLAB_PACKAGES}/binary-${KOLAB_DEV_USER}/"
+
+    rsync -avz "/${KOLAB_DEV_USER}/RPM/PKG/" "${KOLAB_PACKAGES}/source-${KOLAB_DEV_USER}/"
+
     cd "${KOLAB_PACKAGES}/source-${KOLAB_DEV_USER}"
+
+    echo "Regenerating package index ..."  || die "Indexing failed! Looks like the Kolab developers broke CVS. Bug them at https://www.intevation.de/roundup/kolab"
+    ./install-kolab.sh -t "${KOLAB_DEV_USER}" -X
+    
+    echo "Updating the test environment in /${KOLAB_INSTALL_USER}. This will take a long time ..."
+
     ./install-kolab.sh -t "${KOLAB_INSTALL_USER}" -I 22414 ${INSTALL_OPTS} > kolab-build.log 2>&1
-    ./install-kolab.sh -t "${KOLAB_INSTALL_USER}" -D
-    rsync -avz "/${KOLAB_INSTALL_USER}/RPM/BDIST/" "${KOLAB_PACKAGES}/binary-${KOLAB_INSTALL_USER}/"
+
     echo "Everything finished!"
     echo "You should now run:"
     echo





More information about the commits mailing list